typedef struct {
  char* description;
  int cwclock;
  int fmthresh;   /* <= this value: short */
  int mfmthresh1; /* <= this value: short */
  int mfmthresh2; /* <= this value: short or medium */
  int dmktracklen;
  float mfmshort; /* nominal MFM short assuming clock 0 */
  int hd;         /* value for HD line when writing */
} kind_desc;

/* Note: kind numbers are used in usage message and on command line */
#define NKINDS 4
kind_desc kinds[NKINDS] = {
 
  /* 360 RPM, MFM data 300 kHz */
  { "5.25\" SD/DD disk in 1.2MB drive",
    1 /*7.080MHz*/, 35, 28, 40, 0x1900 /*nominally 6250*/, 47.200, 0 },

  /* 300 RPM, MFM data 250 kHz */
  { "5.25\" SD/DD disk in 360KB/720KB drive, or 3.5\" SD/DD disk",
    1 /*7.080MHz*/, 42, 35, 46, 0x1900 /*nominally 6250*/, 56.644, 0 },

  /* 360 RPM, MFM data 500 kHz */
  { "5.25\" HD disk, or 8\" SD/DD disk",
    0 /*14.161MHz*/, 42, 35, 46, 0x2940 /*nominally 10416*/, 28.322, 1 },

  /* 300 RPM, MFM data 500 kHz */
  { "3.5\" HD disk", 
    0 /*14.161MHz*/, 42, 35, 46, 0x3180 /*nominally 12500*/, 28.322, 1 },
};
